/* -*-mb0-c-*- */
#include <string.h>
#include <stdio.h>
#include "init.h"

extern char infilename[], outfilename[];

/* 
   format:
   'short', "long-opt", "format", Type, Address
*/
extern struct option_desc command_opt[];

#define o_format command_opt[i].format
typedef void (* cmd_function)(char *);

void eval_params(int argc, char *argv[])
{
	int par=1;                    /* number of actual parameter */
	int i=0;
	
	strcpy(infilename,STDINCODE);
	strcpy(outfilename,STDINCODE);
	
	while(par<argc)
	{
		if(argv[par][0]=='-') switch(argv[par][1])
		{
		case '-':
			for(i=0;command_opt[i].short_opt;i++)
				if(!strcmp(&argv[par][2],command_opt[i].long_opt))
				{
					switch(command_opt[i].type)
					{
					case O_VALUE:
						sscanf(argv[++par], o_format,
							   command_opt[i].val_addr);
						break;
					case O_FLAG:
						*(int *)command_opt[i].val_addr=1;
						break;
					case O_FUNCTION:
						(*(cmd_function)(command_opt[i].val_addr)) (o_format);
						break;
					}
					break;
				}
			par++;
			break;
		default:
			for(i=0;command_opt[i].short_opt;i++)
				if(argv[par][1]==command_opt[i].short_opt)
				{
					switch(command_opt[i].type)
					{
					case O_VALUE:
						if(argv[par][2])
							sscanf(&argv[par][2], o_format,
								   command_opt[i].val_addr);
						else
							sscanf(argv[++par], o_format,
								   command_opt[i].val_addr);
						break;
					case O_FLAG:
						*(int *)command_opt[i].val_addr=1;
						break;
					case O_FUNCTION:
						(*(cmd_function)(command_opt[i].val_addr)) (o_format);
						break;
					}
					break;
				}
			par++;
			break;
		}
		else
			if(par<argc)
				strcpy(infilename, argv[par++]);
	}   /* !!! Noch Error ausgeben */
}
