/* -*-mb0-c-*- */
#ifndef _LDR_DEFINE_H
#define _LDR_DEFINE_H

#include <stdint.h>

#define STDINCODE "--"
#define STRINGLEN 80
#define BUFSIZE 128

#define LD_TEXT 'T'
#define LD_PRIVATE 'P'
#define LD_SHARED 'S'
#define LD_NUM 'N'
#define LD_NONE 'X'

struct lditem
{
	char *name;
	int32_t value;
	char type;
};

int init(int x);
void scan_coff_file(void);
void do_relocation(void);
int print_cmd_help(void);
int print_version(int, char **);

#endif /* _LDR_DEFINE_H */
