/* -*-mb0-c-*- */
#ifndef _LDR_LOADER_H
#define _LDR_LOADER_H

#include <coff.h>

#define STDINCODE "--"
#define STRINGLEN 80
#define BUFSIZE 128

#define err(x) if(errno!=0) error(x);
/*
struct option_desc
{
	char short_opt;
	char *long_opt;
	char *format;
	int type;
	int *val_addr;
};


struct lditem
{
	char *name;
	int value;
	char type;
};
*/
int init(int x);
void scan_coff_file(void);
void do_relocation(void);
int print_cmd_help(void);
int print_version(int, char **);

struct section
{
	struct scnhdr  head;         /* section header */
	int32_t        sbp_flags;    /* only for sbp */
	int32_t        section_nr;   /* section Number */
	int32_t        symndx;
	int32_t        m_num;        /* local or global */
	struct section *data;
	struct reloc   *relocate;
	struct lineno  *lnno;
	struct section *next;        /* pointer to the next section */
};

#define SBP_SHARED  INT32_C(0x1)
#define SBP_PRIVATE INT32_C(0x2)

#endif /* _LDR_LOADER_H */
