/* -*-mb0-c-*- */
#ifndef _LDR_LOADERINIT_H
#define _LDR_LOADERINIT_H

extern char *infilename, *outfilename;   /* names of files */
extern int debugflag;
extern int32_t textstart, datastart;
extern int message_key;

extern char loaderrc[4096];

extern char **sbp_argv;
extern int sbp_argc, sbp_arglen;
extern unsigned options;

int ldvalue_set(int num, char *arg[]);

#define OPT_HOST_COM 0x1
#define OPT_SYSV_MSG 0x2
#define OPT_FORKDEBUG 0x4
#define OPT_PRAMSIM 0x8
#define OPT_ARGS 0x10
#define OPT_COD2 0x20
#define OPT_PIPE 0x40

extern struct option_desc command_opt[];
extern int command_opt_len;

extern struct environ_desc environ_opt[];
extern int environ_opt_len;

extern FILE *configfile;

extern struct section *sct;           /* Sectionliste */
extern struct section *sct_beg;       /* Pointer auf Anfang der S.liste */
#define LD_DATA_LEN 32
extern struct lditem ld_data[];

#endif /* _LDR_LOADERINIT_H */
