#define _GNU_SOURCE
#include "config.h"
#include <unistd.h>
#include <stdlib.h>
#include <stdio.h>
#include <string.h>
#include <stdint.h>
#include <stdbool.h>
#include <math.h>
#include <assert.h>

#include "processor.h"
#include "glovars.h"

char *GenerateFilename(const char *suffix)
{
    int i;
    /* >= strlen("_p<PPnum>") + strlen("_v<VPnum>") + strlen(".") */
    size_t len = 64;
    char *buf, *b, *be;

    len += strlen(suffix);

    for (i = 0; i < load_argc; i++)
        len += strlen(load_argv[i]) + 1;

    buf = malloc((len + 1) * sizeof(char));
    b = buf;
    be = buf + (len + 1);
    b += snprintf(b, be - b, "%s_p%d_v%d", load_argv[0], PPnum, VPnum);
    if (b > be)
        be = b;
    for (i = 1; i < load_argc; i++) {
        b += snprintf(b, be - b, "_%s", load_argv[i]);
        if (b > be)
            be = b;
    }
    b += snprintf(b, be - b, ".%s", suffix);

    return buf;
}
