#ifndef __PRAMSIM_MEM_H
#define __PRAMSIM_MEM_H

struct vpregs;
#include "processor.h"

extern void SimulateMem(void);

extern void MemInit(void);
extern void MemFini(void);
extern void IssueMemRequest(
	struct vpregs *vp,
	enum net_mod  mod,
	enum mem_op   op,
	UWORD         paddr,
	UWORD         vaddr,
	WORD          data,
	UWORD         SR,
	int           regno,
	int           force
);
extern void GetMemRequestResult(struct vpregs *vp);

#include "mem-trace.h"
#include "mem-stats.h"

#ifdef NEED_GEN_FILENAME
extern char *GenerateFilename(const char *suffix);
#endif

#endif /* __PRAMSIM_MEM_H */
