#ifdef ASSEMBLER
#define DIRECTIVE(MNE, TYPE) COMMAND(MNE, DIREC, TYPE, NIX, NIX, NIX)
#define REGISTER(MNE, NUM) COMMAND(MNE, REG, NUM, NIX, NIX, NIX)
#define CMD(MNE, OPC, P1, P2, P3) COMMAND(MNE, BEFEHL, OPC, P1, P2, P3)
#define CMD_A(MNE, OPC, P1, P2, P3) COMMAND(MNE, BEFEHL, OPC, P1, P2, P3)
#define CMD_S(MNE, OPC, P1, P2, P3)
#else
#define DIRECTIVE(MNE, TYPE)
#define REGISTER(MNE, NUM)
#define CMD(MNE, OPC, P1, P2, P3) COMMAND(MNE, BEFEHL, OPC, P1, P2, P3)
#define CMD_A(MNE, OPC, P1, P2, P3)
#define CMD_S(MNE, OPC, P1, P2, P3) COMMAND(MNE, BEFEHL, OPC, P1, P2, P3)
#endif

DIRECTIVE(.ALIGN, D_ALIGN)
DIRECTIVE(.ASCII, D_ASCII)
DIRECTIVE(.ASCIZ, D_ASCIZ)
DIRECTIVE(.BLA1, D_BLA)
DIRECTIVE(.BLUB, D_BLUB)
DIRECTIVE(.BSS, D_BSS)
DIRECTIVE(.BYTE, D_BYTE)
DIRECTIVE(.COMM, D_COMM)
DIRECTIVE(.DATA, D_DATA)
DIRECTIVE(.DOUBLE, D_DOUBLE)
DIRECTIVE(.FLOAT, D_FLOAT)
DIRECTIVE(.GLOBL, D_GLOBL)
DIRECTIVE(.HWORD, D_HWORD)
DIRECTIVE(.INT, D_INT)
DIRECTIVE(.LCOMM, D_LCOMM)
DIRECTIVE(.LONG, D_LONG)
DIRECTIVE(.ORG, D_ORG)
DIRECTIVE(.SECTION, D_SECTION)
DIRECTIVE(.SINGLE, D_FLOAT)
DIRECTIVE(.SPACE, D_SPACE)
DIRECTIVE(.STABD, D_STAB)
DIRECTIVE(.STABN, D_STAB)
DIRECTIVE(.STABS, D_STAB)
DIRECTIVE(.TEXT, D_TEXT)
DIRECTIVE(.WORD, D_WORD)
CMD(ADC, 0x82000000, RX, S2, RD)
CMD(ADD, 0x80000000, RX, S2, RD)
CMD(AND, 0x8A000000, RX, S2, RD)
CMD(ASL, 0x94000000, RX, S2, RD)
CMD(ASR, 0x96000000, RX, S2, RD)
#define CC(c, d) CMD_A(B##c, 0xC0000000 | (d << 20), RI19, NIX, NIX)
CC(CC, 12)
CC(CS, 4)
CC(DC, 30)
CC(DS, 22)
CC(EQ, 2)
CC(FC, 25)
CC(FS, 17)
CC(GE, 15)
CC(GT, 14)
CC(HI, 13)
CC(KC, 31)
CC(KS, 23)
CC(LE, 6)
CC(LM, 21)
CC(LN, 28)
CC(LP, 29)
CC(LS, 5)
CC(LT, 7)
CC(LZ, 20)
CC(MC, 24)
CC(MI, 1)
CC(MS, 16)
CC(NC, 26)
CC(NE, 10)
CC(NP, 8)
CC(NS, 18)
CC(PL, 9)
CC(RA, 0)
CC(SC, 27)
CMD_S(B, 0xC0000000, ICC, RI19, NIX)
CMD(BSRG, 0xE0000000, RD, RI19, NIX)
CMD(BSRL, 0xE4000000, RD, RI19, NIX)
CC(SS, 19)
CC(VC, 11)
CC(VS, 3)
#undef CC
CMD(CREA, 0x72000000, S2, RD, NIX)
CMD(DIE, 0x7E100001, NIX, NIX, NIX)
REGISTER(F2, 3)
CMD(FADA, 0xA4000000, RX, RY, RD)
CMD(FADD, 0xA0000000, RX, RY, RD)
#define CC(c, d) CMD_A(FB##c, 0xC4000000 | (d << 20), RI19, NIX, NIX)
CC(AIC, 31)
CC(AIS, 23)
CC(ASC, 30)
CC(ASS, 22)
CC(EQ, 1)
CC(FXC, 29)
CC(FXS, 21)
CC(GLE, 11)
CC(IEX, 4)
CC(INF, 2)
CC(IOP, 5)
CC(MI, 0)
CC(NAN, 3)
CC(NE, 9)
CC(NIE, 12)
CC(NIN, 10)
CC(NIO, 13)
CC(NOF, 15)
CC(NUF, 14)
CC(OF, 7)
CC(OGE, 17)
CC(OGL, 20)
CC(OGT, 16)
CC(OLE, 19)
CC(OLT, 18)
CC(PL, 8)
CC(UEQ, 28)
CC(UF, 6)
CC(UGE, 26)
CC(UGT, 27)
CC(ULE, 24)
CC(ULT, 25)
#undef CC
CMD_S(FB, 0xC4000000, FCC, RI19, NIX)
#define CC(c, d) CMD_A(FJ##c, 0xC4000000 | (d << 20), SPEC, NIX, NIX)
CC(AIC, 31)
CC(AIS, 23)
CC(ASC, 30)
CC(ASS, 22)
CC(EQ, 1)
CC(FXC, 29)
CC(FXS, 21)
CC(GLE, 11)
CC(IEX, 4)
CC(INF, 2)
CC(IOP, 5)
CC(MI, 0)
CC(NAN, 3)
CC(NE, 9)
CC(NIE, 12)
CC(NIN, 10)
CC(NIO, 13)
CC(NOF, 15)
CC(NUF, 14)
CC(OF, 7)
CC(OGE, 17)
CC(OGL, 20)
CC(OGT, 16)
CC(OLE, 19)
CC(OLT, 18)
CC(PL, 8)
CC(UEQ, 28)
CC(UF, 6)
CC(UGE, 26)
CC(UGT, 27)
CC(ULE, 24)
CC(ULT, 25)
#undef CC
CMD_S(FJ, 0xCB000000, FCC, RX, S2)
CMD_S(FJ2, 0xD4000000, FCC, I19, NIX)
CMD(FMLA, 0xAA000000, RX, RY, RD)
CMD(FMUL, 0xA8000000, RX, RY, RD)
REGISTER(FP, 3)
CMD(FSBA, 0xA6000000, RX, RY, RD)
CMD(FSUB, 0xA2000000, RY, RX, RD)
CMD(FTOI, 0xAC000000, RY, RD, NIX)
CMD(GETA, 0x48000000, RD, NIX, NIX)
CMD(GETBAS, 0x6E000000, RD, NIX, NIX)
CMD(GETCT, 0x4C000000, RD, NIX, NIX)
CMD(GETH, 0xB8000000, I19, RD, NIX)
CMD(GETHI, 0xB8000000, SI19, RD, NIX)
CMD(GETLD, 0x40007FFF, RD, NIX, NIX)
CMD(GETLO, 0xBC000000, I19, RD, NIX)
CMD(GETLOG, 0x46007FFF, RD, NIX, NIX)
CMD(GETMOD, 0x44007FFF, RD, NIX, NIX)
CMD(GETNR, 0x4A000000, RD, NIX, NIX)
CMD(GETPR, 0x4E000000, RD, NIX, NIX)
CMD(GETSEC, 0x6C000000, RY, RD, NIX)
CMD(GETSR, 0x42007FFF, RD, NIX, NIX)
CMD(HOP, 0x7C100001, NIX, NIX, NIX)
CMD(HOPSEC, 0x78100001, NIX, NIX, NIX)
CMD(IOP, 0x20000000, NIX, NIX, NIX)
CMD(ITOF, 0xAE000000, S2, RD, NIX)
#define CC(c, d) CMD_A(J##c, 0xC0000000 | (d << 20), SPEC, NIX, NIX)
CC(CC, 12)
CC(CS, 4)
CC(DC, 30)
CC(DS, 22)
CC(EQ, 2)
CMD_S(J, 0xC8000000, ICC, RX, S2)
CMD_S(J2, 0xD0000000, ICC, I19, NIX)
CMD(JEXG, 0xF0000000, RD, I19, NIX)
CMD(JEXL, 0xF4000000, RD, I19, NIX)
CC(FC, 25)
CC(FS, 17)
CC(GE, 15)
CC(GT, 14)
CC(HI, 13)
CC(KC, 31)
CC(KS, 23) 
CC(LE, 6)
CC(LM, 21)
CC(LN, 28)
CC(LP, 29)
CC(LS, 5)
CC(LT, 7)
CC(LZ, 20)
CC(MC, 24)
CC(MI, 1)
CC(MS, 16)
CC(NC, 26)
CC(NE, 10)
CC(NP, 8)
CC(NS, 18)
CC(PL, 9)
CC(RA, 0)
CC(SC, 27)
CMD(JSRG, 0xE8000000, RD, RX, S2)
CMD(JSRL, 0xEC000000, RD, RX, S2)
CC(SS, 19)
CC(VC, 11)
CC(VS, 3)
#undef CC
CMD(LDG, 0x08000000, RX, S2, RD)
CMD_A(LDGN, 0x08000000, RX, S2, RL)
CMD(LDL, 0x0C000000, RX, S2, RD)
CMD(LSL, 0x90000000, RX, S2, RD)
CMD(LSR, 0x92000000, RX, S2, RD)
CMD(MLHS, 0xB4000000, RX, S2, RD)
CMD(MLHU, 0xB6000000, RX, S2, RD)
CMD_A(MOV, 0x80000000, S2, RD, NIX)
CMD(MPADD, 0x16004000, RX, I13, RD)
CMD_A(MPADDN, 0x16004000, RX, I13, RL)
CMD(MPAND, 0x10004000, RX, I13, RD)
CMD_A(MPANDN, 0x10004000, RX, I13, RL)
CMD(MPMAX, 0x14004000, RX, I13, RD)
CMD_A(MPMAXN, 0x14004000, RX, I13, RL)
CMD(MPOR, 0x12004000, RX, I13, RD)
CMD_A(MPORN, 0x12004000, RX, I13, RL)
CMD(MUL, 0xB2000000, RX, S2, RD)
CMD(NAND, 0x8C000000, RX, S2, RD)
CMD_A(NEG, 0x84000000, RX, RD, NIX)
CMD_A(NOP, 0xB8000000, NIX, NIX, NIX)
CMD(OR, 0x88000000, RX, S2, RD)
REGISTER(PC, 1)
REGISTER(PGCC_FP, 3)
REGISTER(PGCC_PAR1, 7)
REGISTER(PGCC_PAR2, 8)
REGISTER(PGCC_PAR3, 9)
REGISTER(PGCC_PAR4, 10)
REGISTER(PGCC_RET, 5)
REGISTER(PGCC_SC, 4)
REGISTER(PGCC_SP, 6)
REGISTER(PGCC_SPHI, 11)
CMD(POPG, 0x18007FFF, RX, RD, NIX)
CMD_A(POPGN, 0x18007FFF, RX, RL, NIX)
CMD(POPIG, 0x1A004000, RX, I13, RD)
CMD_A(POPIGN, 0x1A004000, RX, I13, RL)
CMD(POPIL, 0x1E004000, RX, I13, RD)
CMD(POPL, 0x1C007FFF, RX, RD, NIX)
CMD(POPNG, 0x18004000, RX, I13, RD)
CMD_A(POPNGN, 0x18004000, RX, I13, RL)
CMD(POPNL, 0x1C004000, RX, I13, RD)
CMD(PSHG, 0x38004000, RD, RX, NIX)
CMD(PSHGC, 0x38000000, RX, NIX, NIX)
CMD(PSHIG, 0x38004000, RD, RX, I13)
CMD(PSHIL, 0x3C004000, RD, RX, I13)
CMD(PSHL, 0x3C004000, RD, RX, NIX)
CMD(PSHLC, 0x3C004000, RX, NIX, NIX)
CMD(PSHNG, 0x3A004000, RD, RX, I13)
CMD(PSHNL, 0x3E004000, RD, RX, I13)
CMD(PUTA, 0x58000000, S2, NIX, NIX)
CMD(PUTBAS, 0x6A000000, S2, NIX, NIX)
CMD(PUTCRE, 0x70000000, S2, RD, NIX)
CMD(PUTCT, 0x5C000000, S2, NIX, NIX)
CMD(PUTLD, 0x50000000, RX, S2, NIX)
CMD(PUTLOG, 0x56000000, RX, S2, NIX)
CMD(PUTMOD, 0x54000000, RX, S2, NIX)
CMD(PUTNR, 0x5A000000, S2, NIX, NIX)
CMD(PUTPR, 0x5E000000, S2, NIX, NIX)
CMD(PUTSEC, 0x68000000, S2, RD, NIX)
CMD(PUTSR, 0x52000000, RX, S2, NIX)
REGISTER(R0, 0)
REGISTER(R1, 1)
REGISTER(R10, 10)
REGISTER(R11, 11)
REGISTER(R12, 12)
REGISTER(R13, 13)
REGISTER(R14, 14)
REGISTER(R15, 15)
REGISTER(R16, 16)
REGISTER(R17, 17)
REGISTER(R18, 18)
REGISTER(R19, 19)
REGISTER(R2, 2)
REGISTER(R20, 20)
REGISTER(R21, 21)
REGISTER(R22, 22)
REGISTER(R23, 23)
REGISTER(R24, 24)
REGISTER(R25, 25)
REGISTER(R26, 26)
REGISTER(R27, 27)
REGISTER(R28, 28)
REGISTER(R29, 29)
REGISTER(R3, 3)
REGISTER(R30, 30)
REGISTER(R31, 31)
REGISTER(R4, 4)
REGISTER(R5, 5)
REGISTER(R6, 6)
REGISTER(R7, 7)
REGISTER(R8, 8)
REGISTER(R9, 9)
CMD(RES, 0x60000000, I19, NIX, NIX)
CMD_A(RET, 0x18117FFF, NIX, NIX, NIX)
CMD(RM, 0xB0000000, S2, RD, NIX)
CMD(ROCL, 0x9C000000, RX, S2, RD)        /* */
CMD(ROCR, 0x9E000000, RX, S2, RD)        /* */
CMD(ROL, 0x98000000, RX, S2, RD)
CMD(ROR, 0x9A000000, RX, S2, RD)
REGISTER(S2, 2)
CMD(SBC, 0x86000000, RX, S2, RD)
CMD(SETCRE, 0x72000000, S2, RD, NIX)
CMD(SIM, 0xF6000000, I19, NIX, NIX)
REGISTER(SP, 2)
REGISTER(SR, 0)
REGISTER(SSP, 2)
CMD(STG, 0x28004000, RD, RX, I13)
CMD_A(STGC, 0x28000000, RX, NIX, NIX)
CMD(STL, 0x2C004000, RD, RX, I13)
CMD_A(STLC, 0x2C004000, RX, NIX, NIX)
CMD(SUB, 0x84000000, RX, S2, RD)
CMD(SYNCADD, 0x36004000, RD, RX, I13)
CMD(SYNCAND, 0x30004000, RD, RX, I13)
CMD(SYNCMAX, 0x34004000, RD, RX, I13)
CMD(SYNCOR, 0x32004000, RD, RX, I13)
CMD(SYSC, 0xD8000000, NIX, NIX, NIX)
REGISTER(USP, 6)
REGISTER(USPHI, 11)
CMD(XOR, 0x8E000000, RX, S2, RD)
CMD(ZZZA, 0xF8000000, I19, NIX, NIX)
CMD(ZZZF, 0xFA000000, RD, NIX, NIX)
CMD(ZZZH, 0xFE000000, I19, NIX, NIX)
CMD(ZZZR, 0xFC000000, RD, NIX, NIX)















